%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           virt-ctrl
Version:        1.0.1
Release:        3%{?dist}
Summary:        Graphical management app for virtual machines

Group:          Development/Libraries
License:        GPLv2+
URL:            http://et.redhat.com/~rjones/virt-ctrl/
Source0:        http://et.redhat.com/~rjones/virt-ctrl/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lablgtk-devel >= 2.10.0
BuildRequires:  gtk2-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  ocaml-dbus-devel >= 0.06
BuildRequires:  dbus-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-extlib-devel

# Tortuous list of BRs for gettext.
BuildRequires:  ocaml-gettext-devel >= 0.3.0
BuildRequires:  ocaml-fileutils-devel
%ifnarch ppc64
BuildRequires:  ocaml-camomile-data
%endif

# Non-OCaml BRs.
BuildRequires:  libvirt-devel >= 0.2.1
BuildRequires:  perl
BuildRequires:  gawk

Requires:       virt-viewer

#%define _use_internal_dependency_generator 0
#%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
#%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
Virt-ctrl is a graphical management app for virtual machines, modelled
after Virtual Machine Manager, but much more lightweight.


%prep
%setup -q

#pushd po
## Original po/Makefile.in has an incorrect package name, and
## the list of POTFILES is wrong.
#mv Makefile.in Makefile.in.orig
#sed 's/^\(OCAML_GETTEXT_PACKAGE\) = .*/\1 = virt-ctrl/' \
#  < Makefile.in.orig > Makefile.in
#find .. -name '*.ml' > POTFILES
#popd


%build
%configure
make all
%if %opt
make opt
strip virt-ctrl/virt-ctrl.opt
%endif

# Build translations.
make -C po


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Install translations.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
make -C po install PODIR="$RPM_BUILD_ROOT%{_datadir}/locale"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_bindir}/virt-ctrl


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.1-2
- Rebuild for OCaml 3.11.0+rc1.

* Thu Nov  6 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.1-1
- New upstream version 1.0.1.
- Adding to Fedora.

* Mon May 19 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-3
- Use RPM percent-configure.
- Fix po/Makefile.in and po/POTFILES.
- Add list of BRs for ocaml-gettext.
- Use find_lang to find PO files.
- Comment out OCaml dependency generator (not a lib, not needed).
- Check it builds in Koji.

* Tue Apr 22 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-2
- Added BRs ocaml-xml-light-devel and ocaml-extlib-devel.
- Added Requires virt-viewer.

* Thu Apr 17 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.0-1
- New upstream version 1.0.0.

* Tue Mar 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.1-1
- New upstream release 0.4.1.1.
- Move configure to build section.
- Pass RPM_OPT_FLAGS.

* Tue Mar  4 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.0-2
- Fix source URL.
- Install virt-df manpage.

* Tue Mar  4 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.1.0-1
- New upstream release 0.4.1.0.
- Upstream now requires ocaml-dbus >= 0.06, ocaml-lablgtk >= 2.10.0,
  ocaml-dbus-devel.
- Enable virt-df.

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-3
- Rebuild for ppc64.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-2
- Add BR gtk2-devel

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.0.3-1
- New upstream version 0.4.0.3.
- Rebuild for OCaml 3.10.1.

* Tue Nov 20 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.4-1
- New upstream release 0.3.3.4.
- Upstream website is now http://libvirt.org/ocaml/

* Fri Oct 19 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.0-2
- Mistake: BR is ocaml-calendar-devel.

* Fri Oct 19 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.3.0-1
- New upstream release 0.3.3.0.
- Added support for virt-df, but disabled it by default.
- +BR ocaml-calendar.

* Mon Sep 24 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.8-1
- New upstream release 0.3.2.8.

* Thu Sep 20 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.7-1
- New upstream release 0.3.2.7.
- Ship the upstream ChangeLog file.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.6-2
- Force dependency on ocaml >= 3.10.0-7 which has fixed requires/provides
  scripts.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.6-1
- New upstream version 0.3.2.6.

* Wed Aug 29 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.5-1
- New upstream version 0.3.2.5.
- Keep TODO out of the main package, but add (renamed) TODO.libvirt and
  TODO.virt-top to the devel and virt-top packages respectively.
- Add BR gawk.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.4-1
- New upstream version 0.3.2.4.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-2
- build_* macros so we can choose what subpackages to build.

* Thu Aug 23 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.3-1
- Upstream version 0.3.2.3.
- Add missing BR libvirt-devel.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.2-1
- Upstream version 0.3.2.2.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.1-2
- Fix unclosed if-statement in spec file.

* Wed Aug 22 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.2.1-1
- Upstream version 0.3.2.1.
- Put HTML documentation in -devel package.

* Mon Aug  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.3.1.2-1
- Initial RPM release.
